%--------------------------------------------------------------------------
% MATLAB optimization interface to RMOD-K-Formula OPTI code
%--------------------------------------------------------------------------
% Copyright by Ch.Oertel and J.Hempel, IAT Dynamics/FH-Brandenburg
% Version 2.0 from 09.09.2011    
%--------------------------------------------------------------------------
clc;  
%
% --- set job type information
%
UseLastValues        = false;
UseLastValues        = true;
MaxNumberEvals       = 500;
MaxNumberIterations  = 500;
time                 = cputime;
%
% --- set options of the optimization
%
options = optimset(@fminsearch);
options = optimset(options,'Display','iter','MaxFunEvals',MaxNumberEvals,'MaxIter',MaxNumberIterations);  
%
% --- init model and target, get number of variables 
%
design0 = zeros (100,1);
ndes    = MATLAB_RMOD_K_Formula(design0,0);
%
% --- copy design start variables and resize  
%
design  = zeros (int8(ndes),1);
for i=1:int8(ndes)
    design(i) = design0(i);
end    
%
% --- or init design with values from file
%
if ( UseLastValues )
    load ('TheBestValues.mat')
    design = TheBestValues;
end
%
% --- start optimization
%    
[TheBestValues,TheTargetValue] = fminsearch(@TargetFunction, design, options);
%
% --- save best solution and prepare gnuplots plots
% 
MATLAB_RMOD_K_Formula(TheBestValues,-1);   
save('TheBestValues.mat','TheBestValues'); 
%
% --- get the calculation time
%
sprintf('Rechenzeit %7.2f s',cputime - time)


 
