%
clc;
format short g
%
% --- state space block parameters, units [N,s,mm]
%
R     =   320.0;
Rdyn  =   315.0;
CPHI  =     1.0e+08; 
DPHI  =     4.0e+04;
JB    =   250.0;
JR    =  1540.0;
%
% --- input block parameters
%
Fz0  = 5000.0;
Fz1  =    0.0;
fFz  =    2.0*pi*1.0;
sy0  =    0.0;
sy1  =    1.0;
fsy  =    2.0*pi*1.0;
gam0 =    0.0;
gam1 =    0.0;
fgam =    2.0*pi*1.0;
Omy0 =   31.25;
Omy00=   31.25;
Omy1 =    5.00;
fOmy =    2.0*pi*3.0;
V0   =    Rdyn*Omy00;
V1   =    0.0;
fV   =    2.0*pi*1.0;
%
% --- controller parameters
%
Ki =  16000.0;
Kp = 140000.0;
Kd =     21.0;
%
% --- state space block matrixes
%
A1 = [1.0,  0.0, 0.0;     %phid   
      0.0,   JB,  JB;     %phidd
      0.0,  0.0,  JR];    %omegad
  
A2 = [  0.0,   1.0, 0.0;   %phi   
      -CPHI, -DPHI, 0.0;   %phid
       CPHI,  DPHI, 0.0];  %omega
  
B1 = [0.0, 0.0;  % Fx    
     -R,   0.0;  % MT
      0.0, 1.0];  
  
A  = inv(A1)*A2;
B  = inv(A1)*B1;
C  = [0.0,1.0,1.0];
D  = [0.0,0.0];
X0 = [0.0,0.0,Omy00]; 
 