#pragma once

#define NMODELPARAMETER 150
#define NUMBEROFSLIDERS  50
#define Ninput2          15
#define Ninput3           5
#define Noutput           8
#define Ninput            8
#define Nslide            6
#define NTyres            8
#define NWheelLoads      10

#define NPlotpoints    500
#define plotwidth      800
#define plotheigth     800

typedef struct lr_calc
{
	double LR,dv,dz,dy,dr,dc,cz;
} sLR_calc;

typedef struct lr_calc_unloaded
{
	double LR,dv,dz,dy,dr,dc,cz;
} sLR_calc_unloaded;

typedef struct lr_in
{
	double Fz,v,p,Fy,cam;
} sLR_in;

typedef struct parameter_LR
{
	double av,pv,kz,ky,kc,ac,az,p0,R0;
} sLR_parameter; 

typedef struct par
{
	double R_y,p1,p2,gamma_sin,gamma_cos,gamma_comp,offset,ny,ky_stat;
} sPAR; 

typedef struct patchoutput
{
	int n;             // number of thermal points longitudinal
	int m;             // number of thermal points lateral
	int nx;            // first  dimension of fricpower and damppower
	int my;            // second dimension of fricpower and damppower
	double *fricpower; // pointer to friction power data on [n x m] grid
	double *damppower; // pointer to damping  power data on [n x m] grid
	double *pointer1;  // pointer1 to additional contact patch data, to be defined later
	double *pointer2;  // pointer2 to additional contact patch data, to be defined later
}
PATCHOUTPUT;

typedef struct patchinput
{
	int n;               // number of thermal points longitudinal
	int m;               // number of thermal points lateral
	int nx;              // first  dimension of temperature
	int my;              // second dimension of temperature
	double *temperature; // pointer to temperature data on [n x m] grid
	double *pointer1;    // pointer1 to additional contact patch data, to be defined later
	double *pointer2;    // pointer2 to additional contact patch data, to be defined later
}
PATCHINPUT;
