#pragma once
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <stdlib.h>
#include "stdafx.h"
#include "FormulaDefines.h"

class CMF5p2
{
public:
    CMF5p2();
   ~CMF5p2();

	void TDX_HEADER  ( int UNIT, int ICLOSE, FILE *myfile );
	void calc_FyMz   ( int inumbery, int CurveNumber );
	void calc_Fx     ( int inumberx, int CurveNumber );
	void read_values ( );
	void write_values( );
	void get_typarr  ( char *lfn );

	int Array_AC[NWheelLoads];
	int Array_NU[NWheelLoads];

	double Array_FZ[NWheelLoads];
	double Array_CA[NWheelLoads];
	double Array_SA[NWheelLoads][NPlotpoints];
	double Array_SL[NWheelLoads][NPlotpoints];
	double Array_FX[NWheelLoads][NPlotpoints];
	double Array_FY[NWheelLoads][NPlotpoints];
	double Array_MZ[NWheelLoads][NPlotpoints];

protected:

	char IFILE1[512];
	char varname[200][1000];

	int    ntyparr;
	int    LINESIZE;
	double RR_RAD2DEG;
	double typarr[500];

	double SLMAX;
	double SAMAX;
	double SLINC;
	double SAINC;

	double UNLOADED_RADIUS;   
	double FNOMIN;
	double KPUMIN;
	double KPUMAX;
	double ALPMIN; 
	double ALPMAX;   

	double PCX1;
	double PDX1;
	double PDX2;
	double PDX3;
	double PEX1;
	double PEX2;
	double PEX3;
	double PEX4;
	double PKX1;
	double PKX2;
	double PKX3;
	double PHX1;
	double PHX2;
	double PVX1;
	double PVX2;
	double RBX1;
	double RBX2;
	double RCX1;
	double REX1;
	double REX2;
	double RHX1;
	double PTX1;
	double PTX2;
	double PTX3; 

	double LFZO; 
	double LCX; 
	double LMUX; 
	double LEX;  
	double LKX;  
	double LHX;  
	double LVX;  
	double LGAX; 
	double LCY;  
	double LMUY; 
	double LEY;  
	double LKY;  
	double LHY;  
	double LVY;  
	double LGAY; 
	double LTR;  
	double LRES; 
	double LGAZ; 
	double LXAL; 
	double LYKA; 
	double LVYKA;
	double LS;   
	double LSGKP;
	double LSGAL;
	double LGYR; 
	double LMX;  
	double LVMX; 
	double LMY;  

	double QSX1;
	double QSX2;
	double QSX3;

	double PCY1;
	double PDY1;
	double PDY2;
	double PDY3;
	double PEY1;
	double PEY2;
	double PEY3;
	double PEY4;
	double PKY1;
	double PKY2;
	double PKY3;
	double PHY1;
	double PHY2;
	double PHY3;
	double PVY1;
	double PVY2;
	double PVY3;
	double PVY4;
	double RBY1;
	double RBY2;
	double RBY3;
	double RCY1;
	double REY1;
	double REY2;
	double RHY1;
	double RHY2;
	double RVY1;
	double RVY2;
	double RVY3;
	double RVY4;
	double RVY5;
	double RVY6;
	double PTY1;
	double PTY2;

	double QSY1; 
	double QSY2; 
	double QSY3; 
	double QSY4; 

	double QBZ1; 
	double QBZ2; 
	double QBZ3; 
	double QBZ4; 
	double QBZ5; 
	double QBZ9; 
	double QBZ10;
	double QCZ1; 
	double QDZ1; 
	double QDZ2; 
	double QDZ3; 
	double QDZ4; 
	double QDZ6; 
	double QDZ7; 
	double QDZ8; 
	double QDZ9; 
	double QEZ1; 
	double QEZ2; 
	double QEZ3; 
	double QEZ4; 
	double QEZ5; 
	double QHZ1; 
	double QHZ2; 
	double QHZ3; 
	double QHZ4; 
	double SSZ1; 
	double SSZ2; 
	double SSZ3; 
	double SSZ4; 
	double QTZ1; 
	double MBELT;
};


